package cpcns.dingZhi.yiJiaoDengJi.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.yiJiaoDengJi.service.IJieShouDengJiService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"jieShouDengJiController"})
public class JieShouDengJiController extends DangAnBaseController {
  @Autowired
  private IJieShouDengJiService jieShouDengJiService;
  
  @RequestMapping({"/toList.do"})
  public String toList() {
    return "jieShouDengJi/jieShouDengJi_list";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.jieShouDengJiService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "jieShouRiQi"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi")
        .replaceAll("JIAOJIEMINGCHENG", "jiaoJieMingCheng").replaceAll("YIJIAOFANGSHI", "yiJiaoFangShi").replaceAll("YIJIAOPICI", "yiJiaoPiCi").replaceAll("DANGANMENLEI", "dangAnMenLei")
        .replaceAll("YIJIAODANWEIMINGCHENG", "yiJiaoDanWeiMingCheng")
        .replaceAll("YIJIAOSHULIANG", "yiJiaoShuLiang").replaceAll("JIESHOURIQI", "jieShouRiQi")
        .replaceAll("QISHINIANDU", "qiShiNianDu").replaceAll("ZAITILEIXING", "zaiTiLeiXing")
        .replaceAll("JIESHOUZHUANGTAI", "jieShouZhuangTai").replaceAll("DIANZIDANGANSHULIANG", "dianZiDangAnShuLiang");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
}
